//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathTcpToMqtt_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new TcpToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_TcpToMqtt_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathTcpToMqtt_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/TcpToMqtt/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToMqtt/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToMqtt/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToMqtt/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new TcpToMqttUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//-----------TCP / MQTT 轉換傳輸-----------
  //第1頁
function main_TcpToMqttAddNewRow_click(that)
{
	var Class = new TcpToMqttFirstPage();
	Class.AddNewRow(that);
	Class = null;
}
function main_TcpToMqttEditButton_click(that)
{
	var Class = new TcpToMqttFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_TcpToMqttChangeAllCheckbox_click(that)
{
	var Class = new TcpToMqttFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_TcpToMqttShowPreviousPage_click()
{
	var Class = new TcpToMqttFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_TcpToMqttShowNextPage_click()
{
	var Class = new TcpToMqttFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_TcpToMqttSaveButton_click(that)
{
	var Class = new TcpToMqttFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_TcpToMqttChangeCheckbox_click(that)
{
	var Class = new TcpToMqttFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
  //第2頁
function main_TcpToMqttConfirmButton_click(that)
{
	var Class = new TcpToMqttSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_TcpToMqttNoConfirmButton_click()
{
	var Class = new TcpToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_TcpToMqttRetainChangeAllCheckbox_click(that)
{
	var Class = new TcpToMqttSecondPage();
	Class.RetainChangeAllCheckbox(that);
	Class = null;
}
function main_TcpToMqttEnabledChangeAllCheckbox_click(that)
{
	var Class = new TcpToMqttSecondPage();
	Class.EnabledChangeAllCheckbox(that);
	Class = null;
}
function main_TcpToMqttShowColumn_click()
{
	var Class = new TcpToMqttSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_TcpToMqttHideColumn_click()
{
	var Class = new TcpToMqttSecondPage();
	Class.HideColumn();
	Class = null;
}